# $Revision: 1.53 $, $Date: 2003/07/31 16:10:53 $
#
# Conditional build:
# _without_static - link dynamically with libbfd
#
Summary:	Kernel Oops decoder
Summary(es):	Un utilitario para extraer mensajes oops del ncleo y transformarlos en texto
Summary(pl):	Dekoder Oopsw kernela
Summary(pt_BR):	Um utilitrio para extrair mensagens oops do kernel e transformar em texto
Summary(ru):	   oops'  Linux
Summary(uk):	̦   oops'  Linux
Name:		ksymoops
Version:	2.4.9
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/%{name}-%{version}.tar.bz2
# Source0-md5:	231b6ea3afbc318c129ec770d10f8ec8
%{!?_without_static:BuildRequires:	binutils-static >= 2.10.1.0.4}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	kernel-utils

%description
ksymoops extracts kernel Oops reports from the Oops.file and uses
various sources of symbol information to convert the addresses and
code to meaningful text. Reporting a kernel Oops is meaningless on its
own because other people do not know what your kernel looks like, you
need to feed the Oops text through ksymoops then send the ksymoops
output as part of your bug report.

%description -l es
ksymoops extrae mensajes de oops del ncleo y usa varias fuentes de
informaciones de smbolos para convertir las direcciones y cdigos en
texto.

%description -l pl
ksymoops jest narzdziem sucym do dekodownia informacji jakie
zrzuca kernel w momencie wystpienia Oopsa na posta zawierajc
wicej informacji, w skad ktrych wchodzi dekodowanie kodu na
mnemoniki instrukcji asemblerowych oraz zamiana adresw na symbole.
Jest to narzdzie przydatne do zgaszania raportw o bdach w jdrze
Linuksa.

%description -l pt_BR
ksymoops extra mensagens de oops do kernel e usa vrias fontes de
informaes de smbolos para converter os endereos e cdigo em texto.

%description -l ru
ksymoops      Oops'  
        
      .   
  Oops'  , ..    
  ;     Oops'  ksymoops 
  ksymoops      .

%description -l uk
ksymoops  צ   Oops', ˦  ͦ,  
  դ ҦΦΦ  æ   
   Ħ  ͦ .   ¦
צ  Oops    ,   ۦ   
  ;  Φ   Oops'  ksymoops
 Ħ  ksymoops    צ 
.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	DEBUG="%{rpmcflags}" \
	DEF_MAP=\\\"/boot/System.map-*r\\\" \
	%{?_without_static:DYNAMIC="" STATIC=""}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install ksymoops $RPM_BUILD_ROOT%{_sbindir}/ksymoops
install ksymoops.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc  README README.XFree86 Changelog
%attr(755,root,root) %{_sbindir}/ksymoops
%attr(644,root,root) %{_mandir}/man8/ksymoops.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksymoops.spec,v $
Revision 1.53  2003/07/31 16:10:53  qboosh
- pl fixes

Revision 1.52  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.51  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/09 23:42:20  qboosh
- 2.4.9

Revision 1.49  2002/11/26 23:54:22  qboosh
- fixed _without_static bcond

Revision 1.48  2002/11/26 00:00:02  areq
- 2.4.8, STBR
- new %doc

Revision 1.47  2002/07/22 11:56:21  wiget
- updated to 2.4.6

Revision 1.46  2002/05/11 20:33:52  kloczek
- updated to 2.4.5,
- merge translations from Conectiva and KSI.

Revision 1.45  2002/03/03 11:16:42  kloczek
- updated to 2.4.4.

Revision 1.44  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/29 13:20:22  blues
- release 2
- license changed to GPL v2
- more docs
- added missing manpage (this IS important...)

Revision 1.42  2002/01/18 02:13:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/10/25 06:47:23  kloczek
- updated to 2.4.3.

Revision 1.40  2001/09/20 05:57:04  kloczek
- updated to 2.4.2,
- removed shared patch and added new way handling build ksymoops linked with
  shared binutils libraries.

Revision 1.39  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.38  2001/05/05 15:20:26  kloczek
- updated to 2.4.1,
- updated Source url,
- change default System.map to /boot/System.map-*r.

Revision 1.37  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.36  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.35  2001/01/06 16:46:03  kloczek
- rebuild against binutils 2.10.1.0.4.

Revision 1.34  2001/01/05 13:08:11  baggins
- updated to 2.4.0

Revision 1.33  2001/01/01 19:28:00  kloczek
- updated to 2.3.6.

Revision 1.32  2000/12/28 15:02:29  baggins
- added conditional shared build (define _without_static for it)

Revision 1.31  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.30  2000/11/19 21:00:32  kloczek
- updated to 2.3.5.

Revision 1.29  2000/11/01 07:22:59  kloczek
- release 5: rebuild against binutils 2.10.0.33.

Revision 1.28  2000/10/18 23:54:24  kloczek
- release 4,
- use new rpm automation,
- rebuild agains binutils 2.10.0.31.

Revision 1.27  2000/09/09 03:26:19  kloczek
- typo.

Revision 1.26  2000/09/09 03:10:38  kloczek
- BuildRequires for binutils changed to binutils-staic.

Revision 1.25  2000/09/09 02:38:40  kloczek
- release 3,
- rebuild against binutils >= 2.10.0.24.

Revision 1.24  2000/07/18 15:39:00  kloczek
- release 2,
- rebuild against binutils >= 2.10.0.12.

Revision 1.23  2000/07/18 13:38:47  baggins
- buildrequires binutils >=

Revision 1.22  2000/06/09 07:23:16  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/06/06 07:59:45  wiget
2.3.4

Revision 1.20  2000/06/05 12:13:34  wiget
BuildRequires new binutils

Revision 1.19  2000/05/04 15:04:35  wiget
updated to binutils 2.9.5.0.37

Revision 1.18  2000/04/14 17:51:21  kloczek
- release 9,
- recompile against binutils 2.9.5.0.35.

Revision 1.17  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.15  2000/03/09 22:00:52  kloczek
- release 8,
- spec adapterized,
- rebuild against binutils = 2.9.5.0.29.

Revision 1.14  1999/12/23 01:14:44  kloczek
- release 7,
- added "Obsoletes: kernel-utils".

Revision 1.13  1999/12/04 21:50:16  kloczek
- release 6,
- rebuild against binutils 2.9.5.0.22.

Revision 1.12  1999/11/10 21:13:51  wiget
- build against binutils 2.9.5.0.19

Revision 1.11  1999/11/07 02:47:26  kloczek
- release 4.

Revision 1.10  1999/11/07 02:30:21  wiget
- build against binutils 2.9.5.0.16

Revision 1.9  1999/09/21 20:14:21  kloczek
- release 3,
- rebuilded against binutils 2.9.5.0.12.

Revision 1.8  1999/08/28 12:32:48  wiget
version: 0.7c

Revision 1.7  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr  7 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.6-2]
- added gzipping %doc,
- added pl translation.

* Wed Nov 18 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- initial build for ksymoops 0.6
